import { NEXTBIKE_INTEGRATION_DATE } from "#ie/transformations/Nextbike";
import {
    ISharedVehicleStatusOutput,
    ISharedVehiclesRentalAppOutput,
    ISharedVehiclesStationInformationOutput,
    ISharedVehiclesSystemInformationOutput,
} from "#sch";

const system_id = "0fec08e8-2335-4157-a690-888131a689a6";

export const RentalAppsModelFixture: {
    rentalApps: ISharedVehiclesRentalAppOutput[];
    stationInformation: ISharedVehiclesStationInformationOutput[];
    systemInformation: ISharedVehiclesSystemInformationOutput[];
    vehicleStatus: ISharedVehicleStatusOutput[];
} = {
    systemInformation: [
        {
            operator_id: "nextbike_tg_test",
            system_id,
            language: "cs",
            logo: "https://upload.wikimedia.org/wikipedia/commons/f/f3/Nextbike_Logo.svg",
            name: "Nextbike Praha",
            short_name: null,
            operator: "nextbike Czech Republic, Libusina 526/101, 779 00 Olomouc",
            url: "https://www.nextbikeczech.com/",
            purchase_url: null,
            start_date: new Date(NEXTBIKE_INTEGRATION_DATE),
            phone_number: "+420 5816 52047",
            email: "servis@nextbikeczech.com",
            feed_contact_email: null,
            timezone: "Europe/Berlin",
            license_id: "CC0-1.0",
            license_url: null,
            attribution_organization_name: null,
            attribution_url: null,
            terms_of_use_url: "https://www.nextbikeczech.com/vseobecne-obchodni-podminky/",
            rental_app_id: "17dbff1f-f98d-583d-94c6-ad76bc081437",
        },
    ],
    stationInformation: [
        {
            id: "nextbike-27581946",
            system_id,
            name: "P10-Čechovo náměstí",
            short_name: "46007",
            point: {
                type: "Point",
                coordinates: [14.45876, 50.06821],
            },
            address: null,
            post_code: null,
            cross_street: null,
            region_id: "661",
            rental_methods: null,
            is_virtual_station: false,
            station_area: null,
            capacity: 10,
            vehicle_capacity: null,
            vehicle_type_capacity: null,
            is_valet_station: null,
            rental_app_id: "d0bac98a-616f-5e73-b206-11e5dd1107e2",
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            id: "nextbike-27582066",
            system_id,
            name: "P10-Moskevská U TRAMTARIE",
            short_name: "46011",
            point: {
                type: "Point",
                coordinates: [14.4514, 50.07011],
            },
            address: null,
            post_code: null,
            cross_street: null,
            region_id: "661",
            rental_methods: null,
            is_virtual_station: false,
            station_area: null,
            capacity: 10,
            vehicle_capacity: null,
            vehicle_type_capacity: null,
            is_valet_station: null,
            rental_app_id: "cc95b1ee-9360-5f41-ae12-3f226177a54f",
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
    ],
    vehicleStatus: [
        {
            id: "nextbike-BY1M3q5jVn2eOJ4tNPbJjrndwZJlW4Qa",
            system_id,
            point: {
                type: "Point",
                coordinates: [14.4514, 50.07011],
            },
            helmets: null,
            passengers: null,
            damage_description: null,
            description: null,
            vehicle_registration: null,
            is_reserved: false,
            is_disabled: false,
            vehicle_type_id: "nextbike-bike-999",
            last_reported: "2023-08-22 17:08:19.000 +0200",
            current_range_meters: null,
            charge_percent: null,
            rental_app_id: "7b9e88c8-7bdb-434c-bd64-89a2bb5d03dc",
            station_id: null,
            pricing_plan_id: null,
            make: null,
            model: null,
            color: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
        {
            id: "nextbike-BY1M3q5jVn2eOJ4tNPbJjrndwZJlW4Qb",
            system_id,
            point: {
                type: "Point",
                coordinates: [14.4514, 50.07011],
            },
            helmets: null,
            passengers: null,
            damage_description: null,
            description: null,
            vehicle_registration: null,
            is_reserved: false,
            is_disabled: false,
            vehicle_type_id: "nextbike-bike-999",
            last_reported: "2023-08-22 17:08:19.000 +0200",
            current_range_meters: null,
            charge_percent: null,
            rental_app_id: "cc95b1ee-9360-5f41-ae12-3f226177a54f",
            station_id: null,
            pricing_plan_id: null,
            make: null,
            model: null,
            color: null,
            processed_at: new Date("2023-10-31T11:40:00+02:00"),
        },
    ],
    rentalApps: [
        {
            id: "d0bac98a-616f-5e73-b206-11e5dd1107e2",
            android_store_url: null,
            android_discovery_url: "https://app.nextbike.net/station?id=27581946",
            ios_store_url: null,
            ios_discovery_url: "https://app.nextbike.net/station?id=27581946",
            web_url: "https://nxtb.it/p/27581946",
            created_at: new Date(Date.now() - 25 * 60 * 60 * 1000).toISOString(),
            updated_at: new Date(Date.now() - 25 * 60 * 60 * 1000).toISOString(),
        },
        {
            id: "17dbff1f-f98d-583d-94c6-ad76bc081437",
            android_store_url: "https://play.google.com/store/apps/details?id=de.nextbike",
            android_discovery_url: "https://app.nextbike.net/",
            ios_store_url: "https://apps.apple.com/app/id504288371",
            ios_discovery_url: "nextbike://",
            web_url: null,
            created_at: new Date(Date.now() - 365 * 24 * 60 * 60 * 1000).toISOString(),
            updated_at: new Date(Date.now() - 365 * 24 * 60 * 60 * 1000).toISOString(),
        },
        {
            id: "7b9e88c8-7bdb-434c-bd64-89a2bb5d03dc",
            android_store_url: null,
            android_discovery_url: "https://app.nextbike.net/station?id=92028188",
            ios_store_url: null,
            ios_discovery_url: "https://app.nextbike.net/station?id=92028188",
            web_url: "https://nxtb.it/p/92028188",
            created_at: new Date(Date.now() - 2 * 365 * 24 * 60 * 60 * 1000).toISOString(),
            updated_at: new Date(Date.now() - 2 * 365 * 24 * 60 * 60 * 1000).toISOString(),
        },
        {
            id: "cc95b1ee-9360-5f41-ae12-3f226177a54f",
            android_store_url: null,
            android_discovery_url: "https://app.nextbike.net/station?id=27582066",
            ios_store_url: null,
            ios_discovery_url: "https://app.nextbike.net/station?id=27582066",
            web_url: "https://nxtb.it/p/27582066",
            created_at: new Date(Date.now() - 10 * 365 * 24 * 60 * 60 * 1000).toISOString(),
            updated_at: new Date(Date.now() - 10 * 365 * 24 * 60 * 60 * 1000).toISOString(),
        },
        {
            id: "e92890e6-9c75-5a26-b6f6-79aa5d0d34de",
            android_store_url: null,
            android_discovery_url: "https://app.nextbike.net/station?id=92028189",
            ios_store_url: null,
            ios_discovery_url: "https://app.nextbike.net/station?id=92028189",
            web_url: "https://nxtb.it/p/92028189",
            created_at: new Date().toISOString(),
            updated_at: new Date().toISOString(),
        },
        {
            id: "741c2b04-e076-4d2c-b129-c35ee8f177f7",
            android_store_url: null,
            android_discovery_url: "https://app.nextbike.net/station?id=92028389",
            ios_store_url: null,
            ios_discovery_url: "https://app.nextbike.net/station?id=92028389",
            web_url: "https://nxtb.it/p/92028389",
            created_at: new Date(Date.now() - 25 * 60 * 60 * 1000).toISOString(),
            updated_at: new Date(Date.now() - 25 * 60 * 60 * 1000).toISOString(),
        },
        {
            id: "b058a4a9-c215-492a-9c83-673a5886cd89",
            android_store_url: null,
            android_discovery_url: "https://app.nextbike.net/station?id=920282489",
            ios_store_url: null,
            ios_discovery_url: "https://app.nextbike.net/station?id=920282489",
            web_url: "https://nxtb.it/p/920282489",
            created_at: new Date(Date.now() - 365 * 24 * 60 * 60 * 1000).toISOString(),
            updated_at: new Date(Date.now() - 365 * 24 * 60 * 60 * 1000).toISOString(),
        },
        {
            id: "9e2e9ef2-e79b-4cef-a777-b3b0f15c8304",
            android_store_url: null,
            android_discovery_url: "https://app.nextbike.net/station?id=92028289",
            ios_store_url: null,
            ios_discovery_url: "https://app.nextbike.net/station?id=92028289",
            web_url: "https://nxtb.it/p/92028289",
            created_at: new Date(Date.now() - 23 * 60 * 60 * 1000).toISOString(),
            updated_at: new Date(Date.now() - 25 * 60 * 60 * 1000).toISOString(),
        },
    ],
};
